/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbur.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreimbur.entity.WorkReimbur;
import com.jeeplus.modules.workreimbur.entity.WorkReimburDetails;

import java.util.List;

/**
 * 报销申请DAO接口
 * @author fgy
 * @version 2018-01-19
 */
@MyBatisDao
public interface WorkReimburDao extends CrudDao<WorkReimbur> {

    WorkReimbur getByProcessInstanceId(String processInstanceId);
    int updateProcessInstanceId(WorkReimbur workReimbur);

    List<WorkReimburDetails> getDetailsList(WorkReimbur workReimbur);

    int saveReimburDetails(List<WorkReimburDetails> workReimburDetails);

    int insertReimburDetail(WorkReimburDetails reimburDetails);
}